//---------------------------------------------------------------------------

#ifndef CDSStaIncidentFH
#define CDSStaIncidentFH
//---------------------------------------------------------------------------

#include <Classes.hpp>
#include <ADODB.hpp>
#include <DB.hpp>
#include "cxCustomData.hpp"
#include "ITSLibF.h"
#include "ITSDbF.h"
//---------------------------------------------------------------------------

class TItsStaIncidentInfo
{
public:
    TItsStaIncidentInfo();
    virtual ~TItsStaIncidentInfo();
private:
    void Clear();
};

/*
*  StaIncident class
*/
class TItsStaIncident
{
public:
    TItsStaIncident();
    virtual ~TItsStaIncident();
private:

public:
    void Clear();

    String	FDate;
    int     FIncid[6][4];   //전체,사고,공사,행사,기상,기타의 발생건수, 사망자수, 부상자수, 재산피해액
public:
    TItsMap<String, TItsStaIncidentInfo*>    FSubLists;
};
//---------------------------------------------------------------------------

/*
* StaIncident Manager
*/
class TItsStaIncidentManager
{
public:
    TItsStaIncidentManager();
    virtual ~TItsStaIncidentManager();

public:
    TItsMap<String, TItsStaIncident*>    FLists;
};
//---------------------------------------------------------------------------
//extern TItsStaIncidentManager *ItsStaIncidentManager;
//---------------------------------------------------------------------------


#endif

